## cross-toolchain-base-ports 36

=== debian/changelog ===
cross-toolchain-base-ports (36) unstable; urgency=medium

  * Build using binutils 2.33.50.
  * Build using linux 5.4.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 08 Jan 2020 14:02:30 +0100
