## cross-toolchain-base-ports 36ubuntu1

=== debian/changelog ===
cross-toolchain-base-ports (36ubuntu1) focal; urgency=medium

  * Build using binutils 2.33.50.
  * Build using linux 5.4.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Jan 2020 14:26:36 +0100
