=== debian/rules ===
--- 
+++ 
@@ -78,12 +78,11 @@
 else
   VER_LINUX      := $(shell echo $(DEB_VER_LINUX) | sed 's/^\([0-9]*\.[0-9]*\).*/\1/')
 endif
-VER_GCC_BASE   := 9
+VER_GCC_BASE	:= 9
 ifeq ($(vendor),Ubuntu)
-  MIN_VER_GLIBC	:= 2.30-0ubuntu1~
+  MIN_VER_GLIBC	:= 2.30-0~
   VER_GCC_BASE	:= 9
-  MIN_VER_GCC	:= 9.2.1-6~
-  MIN_VER_BINUTILS	:= 2.32-3~
+  MIN_VER_GCC	:= 9.2.1-8~
   MIN_VER_BINUTILS	:= 2.33.50.20200107-1~
   MIN_VER_LINUX		:= 5.4
 endif
@@ -190,3 +189,4 @@
 define init_binutils
 	$(call unpack_tarball, ${BINUTILS_DIR}/binutils-${VER_BINUTILS}.tar.xz)
 	set -e; \
+	cd binutils-${VER_BINUTILS} ;\
