## cross-toolchain-base-ports 36ubuntu2

=== debian/changelog ===
cross-toolchain-base-ports (36ubuntu2) focal; urgency=medium

  * Build using glibc 2.31.
  * Build using binutils 2.34.
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Mar 2020 15:34:15 +0100
