=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Matthias Klose <doko@debian.org>, Dimitri John Ledkov <xnox@debian.org>
 Vcs-Browser: https://salsa.debian.org/toolchain-team/cross-toolchain-base/tree/ports
 Vcs-Git: https://salsa.debian.org/toolchain-team/cross-toolchain-base.git -b ports
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Build-Depends: binutils-multiarch,
   dpkg (>= 1.16.0~ubuntu6), rdfind, symlinks, lsb-release,
-  binutils-source (>= 2.33.50.20200107-1~),
-  glibc-source (>= 2.30-0~),
+  binutils-source (>= 2.34-1~),
+  glibc-source (>= 2.31-0ubuntu1~),
   gcc-9-source (>= 9.2.1-8~),
   linux-source (>= 5.4), linux-libc-dev (>= 5.4),
   autoconf (>= 2.64), autoconf2.64, autogen,
