=== debian/rules ===
--- 
+++ 
@@ -80,10 +80,10 @@
 endif
 VER_GCC_BASE	:= 9
 ifeq ($(vendor),Ubuntu)
-  MIN_VER_GLIBC	:= 2.30-0~
+  MIN_VER_GLIBC	:= 2.31-0ubuntu1~
   VER_GCC_BASE	:= 9
   MIN_VER_GCC	:= 9.2.1-8~
-  MIN_VER_BINUTILS	:= 2.33.50.20200107-1~
+  MIN_VER_BINUTILS	:= 2.34-1~
   MIN_VER_LINUX		:= 5.4
 endif
 
@@ -190,3 +190,4 @@
 	$(call unpack_tarball, ${BINUTILS_DIR}/binutils-${VER_BINUTILS}.tar.xz)
 	set -e; \
 	cd binutils-${VER_BINUTILS} ;\
+	cp -a ${BINUTILS_DIR}/debian/ . ;\
