## cross-toolchain-base-ports 36ubuntu3

=== debian/changelog ===
cross-toolchain-base-ports (36ubuntu3) focal; urgency=medium

  * Build using glibc 2.31-0ubuntu7, multilib variants without libcrypt.
  * Build using gcc 9.3.0-9.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Apr 2020 12:13:13 +0200
