=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Build-Depends: binutils-multiarch,
   dpkg (>= 1.16.0~ubuntu6), rdfind, symlinks, lsb-release,
   binutils-source (>= 2.34-1~),
-  glibc-source (>= 2.31-0ubuntu1~),
-  gcc-9-source (>= 9.2.1-8~),
+  glibc-source (>= 2.31-0ubuntu7~),
+  gcc-9-source (>= 9.3.0-9~),
   linux-source (>= 5.4), linux-libc-dev (>= 5.4),
   autoconf (>= 2.64), autoconf2.64, autogen,
   automake, bison (>= 1:2.3), chrpath, debhelper (>= 9),
