=== debian/rules ===
--- 
+++ 
@@ -80,9 +80,9 @@
 endif
 VER_GCC_BASE	:= 9
 ifeq ($(vendor),Ubuntu)
-  MIN_VER_GLIBC	:= 2.31-0ubuntu1~
+  MIN_VER_GLIBC	:= 2.31-0ubuntu7~
   VER_GCC_BASE	:= 9
-  MIN_VER_GCC	:= 9.2.1-8~
+  MIN_VER_GCC	:= 9.3.0-9~
   MIN_VER_BINUTILS	:= 2.34-1~
   MIN_VER_LINUX		:= 5.4
 endif
