## cross-toolchain-base-ports 36ubuntu4

=== debian/changelog ===
cross-toolchain-base-ports (36ubuntu4) groovy; urgency=medium

  * Fix "space" variable creation for new make

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 04 Jun 2020 15:57:54 +0200
