=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cross-toolchain-base-ports
 Section: devel
 Priority: optional
-Maintainer: Cross Toolchain Base Team <cross-toolchain-base-devs@lists.launchpad.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Cross Toolchain Base Team <cross-toolchain-base-devs@lists.launchpad.net>
 Uploaders: Matthias Klose <doko@debian.org>, Dimitri John Ledkov <xnox@debian.org>
 Vcs-Browser: https://salsa.debian.org/toolchain-team/cross-toolchain-base/tree/ports
 Vcs-Git: https://salsa.debian.org/toolchain-team/cross-toolchain-base.git -b ports
@@ -286,4 +287,3 @@
 Description: GNU C Library: Shared libraries (for cross-compiling)
  This package was generated by dpkg-cross for cross compiling.
  .
- Contains the standard libraries that are used by nearly all programs on
