## cross-toolchain-base-ports 38

=== debian/changelog ===
cross-toolchain-base-ports (38) unstable; urgency=medium

  * Build using glibc 2.31-1.
  * Build using gcc 10.1.0-5.
  * Build using linux 5.7.
  * Use the linux source version for the Built-Using info.
  * Fix build with make 4.3. Closes: #963446.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Jul 2020 23:53:21 +0200

cross-toolchain-base-ports (37) unstable; urgency=medium

  * Build using glibc 2.30-2.
  * Build using gcc 9.3.0-7. Closes: #954518.
  * Build using binutils 2.34-5.

 -- Matthias Klose <doko@debian.org>  Mon, 23 Mar 2020 07:27:30 +0100
