=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: cross-toolchain-base-ports
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Cross Toolchain Base Team <cross-toolchain-base-devs@lists.launchpad.net>
+Maintainer: Cross Toolchain Base Team <cross-toolchain-base-devs@lists.launchpad.net>
 Uploaders: Matthias Klose <doko@debian.org>, Dimitri John Ledkov <xnox@debian.org>
 Vcs-Browser: https://salsa.debian.org/toolchain-team/cross-toolchain-base/tree/ports
 Vcs-Git: https://salsa.debian.org/toolchain-team/cross-toolchain-base.git -b ports
 Standards-Version: 4.5.0
 Build-Depends: binutils-multiarch,
   dpkg (>= 1.16.0~ubuntu6), rdfind, symlinks, lsb-release,
-  binutils-source (>= 2.34-1~),
-  glibc-source (>= 2.31-0ubuntu7~),
-  gcc-9-source (>= 9.3.0-9~),
-  linux-source (>= 5.4), linux-libc-dev (>= 5.4),
+  binutils-source (>= 2.34-5~),
+  glibc-source (>= 2.31-1~),
+  gcc-10-source (>= 10.1.0-5~),
+  linux-source (>= 5.7), linux-libc-dev (>= 5.7),
   autoconf (>= 2.64), autoconf2.64, autogen,
   automake, bison (>= 1:2.3), chrpath, debhelper (>= 9),
   dpkg-dev (>= 1.15.3.1), fakeroot, file, flex,
@@ -26,8 +25,8 @@
   libconfig-auto-perl, libfile-temp-perl, libconfig-auto-perl,
   libfile-homedir-perl, liblocale-gettext-perl, libunwind-dev [amd64 i386 x32]
 Build-Conflicts: dpkg-cross, libdebian-dpkgcross-perl,
-  binutils-alpha-linux-gnu, binutils-hppa-linux-gnu, binutils-m68k-linux-gnu, binutils-powerpc64-linux-gnu, binutils-riscv64-linux-gnu, binutils-sh4-linux-gnu, binutils-sparc64-linux-gnu, binutils-x86-64-linux-gnux32,
-  libc6-alpha-cross, linux-libc-dev-alpha-cross, libc6-hppa-cross, linux-libc-dev-hppa-cross, libc6-m68k-cross, linux-libc-dev-m68k-cross, libc6-ppc64-cross, linux-libc-dev-ppc64-cross, libc6-riscv64-cross, linux-libc-dev-riscv64-cross, libc6-sh4-cross, linux-libc-dev-sh4-cross, libc6-sparc64-cross, linux-libc-dev-sparc64-cross, libc6-x32-cross, linux-libc-dev-x32-cross,
+  binutils-alpha-linux-gnu, binutils-hppa-linux-gnu, binutils-m68k-linux-gnu, binutils-powerpc64-linux-gnu, binutils-riscv64-linux-gnu, binutils-sh4-linux-gnu, binutils-sparc64-linux-gnu, binutils-x86-64-linux-gnux32, binutils-powerpc-linux-gnu,
+  libc6-alpha-cross, linux-libc-dev-alpha-cross, libc6-hppa-cross, linux-libc-dev-hppa-cross, libc6-m68k-cross, linux-libc-dev-m68k-cross, libc6-ppc64-cross, linux-libc-dev-ppc64-cross, libc6-riscv64-cross, linux-libc-dev-riscv64-cross, libc6-sh4-cross, linux-libc-dev-sh4-cross, libc6-sparc64-cross, linux-libc-dev-sparc64-cross, libc6-x32-cross, linux-libc-dev-x32-cross, libc6-powerpc-cross, linux-libc-dev-powerpc-cross,
   libc6-amd64 [i386 x32], libc6-i386 [amd64 x32], libc6-x32 [amd64 i386]
 
 Package: linux-libc-dev-alpha-cross
@@ -66,6 +65,18 @@
  libraries. They are NOT meant to be used to build third-party modules for
  your kernel. Use linux-headers-* packages for that.
 
+Package: linux-libc-dev-powerpc-cross
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Provides: linux-kernel-headers-powerpc-cross, linux-libc-dev-powerpc-dcv1
+Built-Using: ${bu:linux}
+Description: Linux Kernel Headers for development (for cross-compiling)
+ This package provides headers from the Linux kernel.  These headers
+ are used by the installed headers for GNU glibc and other system
+ libraries. They are NOT meant to be used to build third-party modules for
+ your kernel. Use linux-headers-* packages for that.
+
 Package: linux-libc-dev-ppc64-cross
 Architecture: all
 Multi-Arch: foreign
@@ -139,18 +150,6 @@
  the system. This package includes shared versions of the standard C library
  and the standard math library, as well as many others.
 
-Package: libc6.1-dbg-alpha-cross
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Section: debug
-Built-Using: ${bu:glibc}
-Description: GNU C Library: detached debugging symbols (for cross-compiling)
- This package was generated by dpkg-cross for cross compiling.
- .
- This package contains the detached debugging symbols for the GNU C
- library.
-
 Package: libc6.1-dev-alpha-cross
 Architecture: all
 Multi-Arch: foreign
@@ -177,18 +176,6 @@
  the system. This package includes shared versions of the standard C library
  and the standard math library, as well as many others.
 
-Package: libc6-dbg-hppa-cross
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Section: debug
-Built-Using: ${bu:glibc}
-Description: GNU C Library: detached debugging symbols (for cross-compiling)
- This package was generated by dpkg-cross for cross compiling.
- .
- This package contains the detached debugging symbols for the GNU C
- library.
-
 Package: libc6-dev-hppa-cross
 Architecture: all
 Multi-Arch: foreign
@@ -215,18 +202,6 @@
  the system. This package includes shared versions of the standard C library
  and the standard math library, as well as many others.
 
-Package: libc6-dbg-m68k-cross
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Section: debug
-Built-Using: ${bu:glibc}
-Description: GNU C Library: detached debugging symbols (for cross-compiling)
- This package was generated by dpkg-cross for cross compiling.
- .
- This package contains the detached debugging symbols for the GNU C
- library.
-
 Package: libc6-dev-m68k-cross
 Architecture: all
 Multi-Arch: foreign
@@ -240,6 +215,32 @@
  Contains the symlinks, headers, and object files needed to compile
  and link programs which use the standard C library.
 
+Package: libc6-powerpc-cross
+Architecture: all
+Multi-Arch: foreign
+Section: libs
+Depends: ${misc:Depends}
+Built-Using: ${bu:glibc}
+Description: GNU C Library: Shared libraries (for cross-compiling)
+ This package was generated by dpkg-cross for cross compiling.
+ .
+ Contains the standard libraries that are used by nearly all programs on
+ the system. This package includes shared versions of the standard C library
+ and the standard math library, as well as many others.
+
+Package: libc6-dev-powerpc-cross
+Architecture: all
+Multi-Arch: foreign
+Section: libdevel
+Depends: ${misc:Depends}
+Conflicts: binutils-powerpc-cross (<< 2.20.1-1), binutils-gold-powerpc-cross (<< 2.20.1-11)
+Built-Using: ${bu:glibc}
+Description: GNU C Library: Development Libraries and Header Files (for cross-compiling)
+ This package was generated by dpkg-cross for cross compiling.
+ .
+ Contains the symlinks, headers, and object files needed to compile
+ and link programs which use the standard C library.
+
 Package: libc6-ppc64-cross
 Architecture: all
 Multi-Arch: foreign
@@ -253,18 +254,6 @@
  the system. This package includes shared versions of the standard C library
  and the standard math library, as well as many others.
 
-Package: libc6-dbg-ppc64-cross
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Section: debug
-Built-Using: ${bu:glibc}
-Description: GNU C Library: detached debugging symbols (for cross-compiling)
- This package was generated by dpkg-cross for cross compiling.
- .
- This package contains the detached debugging symbols for the GNU C
- library.
-
 Package: libc6-dev-ppc64-cross
 Architecture: all
 Multi-Arch: foreign
@@ -285,5 +274,3 @@
 Depends: ${misc:Depends}
 Built-Using: ${bu:glibc}
 Description: GNU C Library: Shared libraries (for cross-compiling)
- This package was generated by dpkg-cross for cross compiling.
- .
